- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleActionInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 217 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleActionInterface:
[legend]

List of all members.

## Public Member Functions
QAccessible2Interface * | qAccessibleActionCastHelper ()
virtual int | actionCount ()=0
virtual void | doAction (int actionIndex)=0
virtual QString | description (int actionIndex)=0
virtual QString | name (int actionIndex)=0
virtual QString | localizedName (int actionIndex)=0
virtual QStringList | keyBindings (int actionIndex)=0

## Member Function Documentation

QAccessible2Interface* qAccessibleActionCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 220 of file qaccessible2.h.

    { return this; }

virtual int actionCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void doAction | ( | int | actionIndex | ) | `[pure virtual]`

Search for all occurrences

virtual QString description | ( | int | actionIndex | ) | `[pure virtual]`

Search for all occurrences

virtual QString name | ( | int | actionIndex | ) | `[pure virtual]`

Search for all occurrences

virtual QString localizedName | ( | int | actionIndex | ) | `[pure virtual]`

Search for all occurrences

virtual QStringList keyBindings | ( | int | actionIndex | ) | `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface
QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface QAccessibleActionInterface